#include "wimax2-common.h"

namespace ns3 {

std::string HelperFunctions::getMacAddrString(Mac48Address adr) {
	std::ostringstream s;
	std::string str;
	s << adr;
	str = s.str();
	return str;
}

const char* HelperFunctions::getPacketTypeString(int gm_sm){
	switch (gm_sm) {
		case 0:
			return "SMH";
			break;
		case 1:
			return "GMH";
			break;
		case 2:
			return "CRH";
			break;
		default:
			return "UNKNOWN";
			break;
	}
}



}
