#ifndef DESTCLASSIFIER_H
#define DESTCLASSIFIER_H

#include "sduclassifier.h"

#include "ns3/ptr.h"
#include "ns3/mac48-address.h"
//#include "wimax2-net-device.h"
//#include "wimax2-bs-net-device.h"

namespace ns3{
class Wimax2NetDevice;


class DestClassifier: public SDUClassifier {
public:
	DestClassifier();
	DestClassifier(Ptr<Wimax2NetDevice> mac) {mac_ = mac;}
	DestClassifier(Ptr<Wimax2NetDevice>  mac, int priority) {mac_ = mac; priority_ = priority;}
	int classify(Ptr<Packet> p, Mac48Address & addr);
	int classify(Ptr<Packet> p, const Address & adr);
	Mac48Address declassify(int cid);
	bool isFromUpperLayer(int cid);
protected:
	virtual void DoDispose();
};

}
#endif
