import ns3
import visualizer.base

def register(viz):
	#we call this a PointToPoint like device becuase that function does not assume any special headers are present (eg. wifi header, ethernet header ,etc.)
	viz.simulation.sim_helper.RegisterWimaxLikeDevice("ns3::Wimax2BSNetDevice")
	viz.simulation.sim_helper.RegisterWimaxLikeDevice("ns3::Wimax2SSNetDevice")
	visualizer.base.netdevice_traits[ns3.Wimax2BSNetDevice] = visualizer.base.NetDeviceTraits(is_wireless=True)
	visualizer.base.netdevice_traits[ns3.Wimax2SSNetDevice] = visualizer.base.NetDeviceTraits(is_wireless=True)
